Subject: bug#39645: TeX-command-sequence: Wrong type argument: number-or-marker-p, "Abort trap: 6"

From: Arash Esbati <[email-masked]>
Date: Tue, 05 Mar 2024 10:50:46 +0100

Kid Inqui <[email-masked]> writes:

> Hi there,
>
> I run MikTex on an OSX 10.15.3 machine.
> For editing latex I use Aquamacs with AUCTeX.
> For compiling latex I have a MiKTeX installation.
>
> When I try with compile from AUCTeX, I get the error:
>
> TeX-command-sequence: Wrong type argument: number-or-marker-p, "Abort trap: 6”
>
> I tried to change some AUCTeX settings to make it work.
> One thing I did was set the “Tex Command” to `latexmk -pdf` (which is
> what I normally use to compile from the terminal).
> This made the error a bit more informative: (the file name is
> `notes.tex`)
>
> Running `LaTeX' on `notes' with ``pdflatex  -file-line-error  --synctex=1 -interaction=nonstopmode notes.tex''
> ERROR: collate_byname<char>::collate_byname failed to construct for 
>
> Sorry, but pdflatex did not succeed.
> libc++abi.dylib: terminating with uncaught exception of type
> MiKTeX::Core::MiKTeXException: MiKTeX encountered an internal error.
>
> TeX Output abort trap: 6 at Mon Feb 17 13:02:53
>
> I tried running the same command `pdflatex -file-line-error
> --synctex=1 -interaction=nonstopmode notes.tex` from the terminal and
> it worked!
>
> Thanks in advance for any help you can offer!

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I'm afraid we have no one around who uses MikTeX and Aquamacs on macOS,
so we can't offer any help.  I can tell that I use Mactex and
Emacs/AUCTeX without any problems on macOS.  Sorry for no help here, and
I'm closing this report for now.  We can reopen if somebody can
reproduce this.

Best, Arash